MONGOC_URI_GET_USERNAME(3)

NAME
mongoc_uri_get_username - mongoc_uri_get_username()

SYNOPSIS

const char *
mongoc_uri_get_username (const mongoc_uri_t *uri);

PARAMETERS

•   uri: A mongoc_uri_t.

DESCRIPTION

Fetches the username portion of a URI.

RETURNS

Returns a string which should not be modified or freed if uri has a username provided, otherwise NULL.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc